﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Globalization;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using System.Reflection;
using Syncfusion.SfChart.XForms;

namespace Chart_Xamarin
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
        }
    }
    public class ViewModel
    {
        public ObservableCollection<Model> Data { get; set; }
        Random rd = new Random();

        public ViewModel()
        {
            Data = new ObservableCollection<Model>();

            for (int i = 0; i < 5; i++)
            {
                Data.Add(new Model() {XValue=i,YValue1=rd.Next(0,20),YValue2=rd.Next(0,20) });
            }


            CustomColors = new List<Color>();
            CustomColors.Add(Color.Red);
            CustomColors.Add(Color.Green);
            CustomColors.Add(Color.Blue);
        }

        private IList<Color> customColors;
        public IList<Color> CustomColors
        {
            get
            {
                return customColors;
            }
            set
            {
                customColors = value;
            }
        }
    }

    public class Model
    {
        public double XValue { get; set; }

        public double YValue1 { get; set; }

        public double YValue2 { get; set; }
    }
}
